Unlink Transfer
POST
/transactions/{tx_id}/unlink-transfer
const url = 'https://example.com/transactions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/unlink-transfer';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/transactions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/unlink-transferUndo a transfer merge/absorb: resurrect the voided bank rows (their content hashes move with them, so re-imports stay no-ops) and suppress the automatic relink paths.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tx_id
required
Tx Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UnlinkResult
object
resurrected_ids
required
Resurrected Ids
Array<string>
transfer_id
required
Transfer Id
string format: uuid
transfer_voided
required
Transfer Voided
boolean
Example generated
{ "resurrected_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "transfer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "transfer_voided": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}